Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 09.01.2015, 21:31  postituse pealkiri:  (teema puudub)  

Väga suur tõenäosus, et pole probleemiga seotud, aga miks sul openct peal on?


mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 95
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 09.01.2015, 22:56  postituse pealkiri:  (teema puudub)  

Huvi pärast proovisin. Nüüd juba maha võetud.
(veidi aja pärast)

Aga see ei ole ilus
Kood:
 opensc-tool -D
Configured card drivers:
  pcsc             PC/SC reader
Segmentation fault


Nüüd lasin kõik uuendused peale, mida yast pakkus ja ühe näite järgi küsides saan :
Kood:

# PCSCLITE_PCSCD_ARGS=-df pcsc_scan
PC/SC device scanner
V 1.4.23 (c) 2001-2011, Ludovic Rousseau <ludovic.rousseau@free.fr>
Compiled with PC/SC lite version: 1.8.13
Using reader plug'n play mechanism
Scanning present readers...
0: Alcor Micro AU9520 00 00

Fri Jan  9 23:26:40 2015
Reader 0: Alcor Micro AU9520 00 00
  Card state: Card removed,

Fri Jan  9 23:26:49 2015
Reader 0: Alcor Micro AU9520 00 00
  Card state: Card inserted,
....
  Estonian Identity Card (EstEID v x.x xxxx cold)

Fri Jan  9 23:26:55 2015
Reader 0: Alcor Micro AU9520 00 00
  Card state: Card removed,


opencs-tool annab aga ikka
# opensc-tool -l
Segmentation fault

Täiendus: veel veidi katseid, mis näitavad, et midagi justkui töötaks:
Kood:
 # opensc-tool --name
Using reader with a card: Alcor Micro AU9520 00 00
EstEID 1.0 warm xxxx

# opensc-tool -f
Using reader with a card: Alcor Micro AU9520 00 00
3f00 [MF] type: DF, size: 53878
select[N/A] lock[N/A] delete[N/A] create[N/A] rehab[N/A] inval[N/A] list[N/A]

sc_list_files() failed: Not supported

# opensc-tool --atr
Using reader with a card: Alcor Micro AU9520 00 00
3b:de:18:ff:c0:80:b1:fe:45:1f:03:45:73:74:45:49:44:20:76:65:72:20:31:2e:30:2b


# opensc-tool -l
Segmentation fault


Nojah, Eesti ID kaardi utiliiti oleks võinud ehk ka kohe katsetada:

Kood:
# /usr/bin/qesteidutil
Enabling crashreporting "/tmp"
libpng warning: iCCP: known incorrect sRGB profile
Alcor Micro AU9520 00 00 A1659646


Diagnostika annab:
Kood:
Rakenduse versioon: 3.8.0.0
OS: "openSUSE 13.2 (Harlequin) (x86_64)"
Protsessor: Intel(R) Core(TM) i5-2400 CPU @ 3.10GHz
Tuum: Linux 3.16.7-7-desktop #1 SMP PREEMPT Wed Dec 17 18:00:44 UTC 2014 (762f27a) x86_64

Argumendid: /usr/bin/qesteidutil
Teegi otsing: /usr/lib64/qt4/plugins;/usr/lib64/kde4/plugins;/usr/bin
Teegid:
qesteidutil (3.8.0.1106)
openssl (1.0.1j)
libpcsclite1 (1.8.11)
pcsc-lite (1.8.11)
opensc (0.13.0)
QT (4.8.6)

Smart Card teenuse staatus: Töötab
Kaardilugejad:
Alcor Micro AU9520 00 00 max APDU size 0


Nüüd siis veel Firefox-le Ideelabori juhiste järgi id-kaardi seadistus. Sobiv fail asus /usr/local/lib64/onepin-opensc-pkcs11.so . Ja töötab Smile.

Praeguseks selline kokkuvõte, OpenSUSE 13.2 peal ID-kaardi utiliidid http://software.opensuse.org/package/qesteidutil töötavad. Mingi probleem on OpenSC pakis oleval opensc-tool utiliidil kaardilugejate näitamisega (-l), aga see muid asju ei paista segavat.

Veidi hiljem:
See hommiku ja õhtu asi ikka on õige Sad. Panka saab, aga allkirjastamisel ütleb, et on tarkvaraviga või teine suunab https://installer.id.ee/?lang=est. (praegune id-kaardi tarkvara 3.8.0.1106-1.6 on võetud siit, FF=34.0.5). Kui vahetasin FF-s onepin-opensc-pkcs11.so asemel krüptimisseadmeks opensc-pkcs11.so, siis ei saa ka panka sisse.

Kuidagi õnnetu on see id-kaardi asi .... Ei tahaks vanema Opensuse versiooni peale ka enam tagasi hakata kolima.

Mõne aja pärast:
mihkel soovitas testida veel üht pakki https://build.opensuse.org/package/repositories/home:mk11:eid/qdigidoc . Sealt tuli FF-le iselaaduv idkaardi moodul ja plugin ning sertifikaadid. ID-kaardi seadme FF laeb, aga sk.ee/tervitus mossitab. Ennem see vähemasti töötas.


mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 24.01.2015, 19:25  postituse pealkiri:  (teema puudub)  

Kuna oma postituse alguses tõid välja, et opensc-tool -D segfauldib, siis võibolla on koer just sinna maetud? Pealegi on opensc 0.13 probleeme teisigi. Otsi sealt opensuse buildist mõni opensc 0.14 versioon, mis sulle tundub usaldusväärne ja proovi sellega?


mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 95
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 25.01.2015, 00:30  postituse pealkiri:  (teema puudub)  

Eks peab usaldama midagi.

Prooviks lasin opensc 0.14 peale repost klõpsupaigaldusega.

# opensc-tool -D töötab
Kood:

Configured card drivers:
  cardos           Siemens CardOS
  flex             Schlumberger Multiflex/Cryptoflex
  cyberflex        Schlumberger Cyberflex
  gemsafeV1        driver for the Gemplus GemSAFE V1 applet
  miocos           MioCOS 1.1
  mcrd             MICARDO 2.1 / EstEID 1.0 - 3.0
  asepcos          Athena ASEPCOS
  starcos          STARCOS SPK 2.3/2.4
  tcos             TCOS 3.0
  openpgp          OpenPGP card
  jcop             JCOP cards with BlueZ PKCS#15 applet
  belpic           Belpic cards
  ias              IAS
  incrypto34       Incard Incripto34
  acos5            ACS ACOS5 card
  akis             TUBITAK UEKAE AKIS
  rutoken          Rutoken driver
  rutoken_ecp      Rutoken ECP driver
  westcos          WESTCOS compatible cards
  myeid            MyEID cards with PKCS#15 applet
  sc-hsm           SmartCard-HSM
  setcos           Setec cards
  muscle           MuscleApplet
  atrust-acos      A-Trust ACOS cards
  piv              PIV-II  for multiple cards
  itacns           Italian CNS
  default          Default driver for unknown cards


https://www.sk.ee/tervitus/index.php tervitab Smile.

Panka saab, aga allkirjastamisel annab FF
Kood:
EstEID Plugin initialization failed:
dlopen failed: /usr/local/lib64/libopensc.so.3: undefined symbol: iasecc_se_get_crt
. Sama veani jõudsin ka siis, kui oli opensc 0.13.


mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 25.01.2015, 11:03  postituse pealkiri:  (teema puudub)  

mait kirjutas:


Panka saab, aga allkirjastamisel annab FF
Kood:
EstEID Plugin initialization failed:
dlopen failed: /usr/local/lib64/libopensc.so.3: undefined symbol: iasecc_se_get_crt
. Sama veani jõudsin ka siis, kui oli opensc 0.13.


Mulle tundub, et opensc librat otsitakse valest kohast. Antud juhul /usr/local/
Võiks olla /usr/lib64
Mida mina teeksin?
1. Kontrolliksin Firefoxi seadete alt, kas laadima on pandud õige moodul, õigest kohast:
https://i.imgur.com/0xebW29.png
Midagi sellist võiks olla.
2. Kas pluginate/lisade all on esteid-ga seotu lubatud.
3. Kui eelmised toimingud tulemust ei anna, siis eemaldaksin kogu esteid-ga seotud krempli (kaasa arvatud sellega seotud repod) ja paigaldasin uuesti. Võimalik, et midagi on kuskil konflikti läinud.


mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 95
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 25.01.2015, 14:06  postituse pealkiri:  (teema puudub)  

1) oli korras.
2) oli olemas lisa ja plugin.

3) Yast-st maha kõik esteid* asjad ja opensc*. Aga millegipärast jäi /usr/local/lib64 alla kõiksugu opensc pudi. Võibolla juba algselt kaasa distroga tulnud opensc 0.13. Need kustutasin käsitsi.

Siis opensc 0.14 paigaldus. Sertifitseerimiskeskus tervitab, panka saab sisse, aga allkirjastada ei saa. Nüüd veel mihkli viidatud repost ( https://build.opensuse.org/package/repositories/home:mk11:eid/qdigidoc) pakid esteidcerts, esteidfirefoxplugin ja esteidpkcs11loader (ver=3.8.0*).

Ühes pangas hakkas allkirjastamine ka tööle Smile. Võimalik, et oleks piisanud ainult /usr/local/lib64 all oleva opensc (ver=0.13?) asjade kustutamisest... Seda eraldi testima ei hakanud.

Tänud abistajatele!


tris

Troll - ära toida!
Troll - ära toida!



Liitunud: 23.08.2014
Postitused: 713

Distributsioon: Debian
estonia.gif
postituspostitatud: 05.02.2015, 14:34  postituse pealkiri:  (teema puudub)  

Tegin skripti, mis lihtsustab asja ning mis väljalase sinu
repositooriumiga sobitub;
precise sobib näiteks wheezy repoga debianis.


terminalis: chmod +x install-esteid.sh
./install-esteid.sh precise
Kood:

#!/bin/bash
# id kaardi paigalduskript 0.0.2
# kasutus ./install-esteid.sh <valjalaske nimi>
# Ubuntu, debian .jt

REPO_FILE=/etc/apt/sources.list.d/ria-repository.list

check_privileges()
{
   touch $REPO_FILE 1>/dev/null 2>&1
   if [ "$?" != "0" ] ; then
      echo "Sa pead olema administraatori oigustes!"
      exit 1
   fi
}

sudo apt-get install apt-transport-https


p=$1
OPSYS=${p}




create_repo_file()
{
   echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd
of=$REPO_FILE 1>/dev/null 2>&1
   echo "deb https://installer.id.ee/media/ubuntu/ $OPSYS main" | sudo dd
of=$REPO_FILE.save 1>/dev/null 2>&1
}

import_ria_key()
{
   sudo apt-key list | grep '^pub.*1024D/592073D4.*2010-10-26$'
1>/dev/null
   KEY_LOOKUP_RESULT=$?
   if [ "$KEY_LOOKUP_RESULT" != "0" ] ; then
      echo "Loading RIA Repository key"
      sudo wget -O /tmp/ria-public.key
https://installer.id.ee/media/install-scripts/ria-public.key
      sudo apt-key add /tmp/ria-public.key
      sudo rm -f /tmp/ria-public.key
   else
      echo "RIA Repository key already loaded"
   fi
}

update_repo()
{
   sudo apt-get update
}

install_estonianidcard()
{
   sudo apt-get install estonianidcard
}

create_repo_file
import_ria_key
update_repo
install_estonianidcard


_________________
ricochet:yckka6zlbxv767lz

mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 95
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 18.02.2015, 22:59  postituse pealkiri:  (teema puudub)  

Tervist jälle!

Seekord siis vana sülearvuti, millel on OpenSUSE 12.2, ja äsjavahetatud ID-kaart. Praegu on nii: vana ID-kaart töötas, uus ei hakanud tööle. Sülearvutist kõik vanad opensc ja esteid* asjad välja ning opensc-0.14 peale:
Kood:
> opensc-tool -l
# Detected readers (pcsc)
Nr.  Card  Features  Name
0    Yes             O2 Micro Oz776 00 00

>pkcs15-tool -c
Using reader with a card: O2 Micro Oz776 00 00
Failed to connect to card: Transmit failed


Uut kaarti mittelugevas süleris: opensc loeb vana kaardi sertifikaadid ja qesteidutil loeb vana kaardi andmed, uue kaardi infot ei loe.

Siin veidi varem käimaaetud masinas uue ID-kaardiga Sertifitseerimiskeskus tervitab ja qesteidutil loeb uut kaarti. Kuskohast alustada?


natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 19.02.2015, 09:09  postituse pealkiri:  (teema puudub)  

Proovi välise lugejaga.

http://pcsclite.alioth.debian.org/ccid/unsupported.html#0x0B970x7762

_________________
Kõige parem asi on töötav asi.

mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 95
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 19.02.2015, 21:20  postituse pealkiri:  (teema puudub)  

Välisega loeb sertifikaate.
Kood:
>opensc-tool -l
# Detected readers (pcsc)
Nr.  Card  Features  Name
0    No              O2 Micro Oz776 00 00
1    Yes             OMNIKEY CardMan 1021 01 00

> pkcs15-tool -c
Using reader with a card: OMNIKEY CardMan 1021 01 00
X.509 Certificate [Isikutuvastus]
 ...


Sertifitseerimiskeskus tervitab välise lugejaga uut kaarti.

Aga miks ikka see sisemine lugeja vana ID-kaarti luges probleemideta ja uut ei loe?


spott
Admin
Admin


Vanus: 38
Liitunud: 04.06.2005
Postitused: 8774

Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 20.02.2015, 09:03  postituse pealkiri:  (teema puudub)  

mis id kaardi lugeja tüüp? Osade lugejate tarkvara uue versiooniga tugi kadus. Nagu näiteks Dell 630-te sisemine ID kaardi lugeja, mis enam ei tööta Sad

_________________
Tellige endale sünnipäevaks, sõbrapäevaks või muuks tähtpäevaks kingitus: Kingitused internetist - NetiKink.eu

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 20.02.2015, 09:25  postituse pealkiri:  (teema puudub)  

Uute kaartidega on mingi jama.

http://tarbija24.postimees.ee/3067299/uued-id-kaardid-voivad-torkuda

_________________
Kõige parem asi on töötav asi.

erkiha
Uus kasutaja
Uus kasutaja



Liitunud: 20.02.2015
Postitused: 10


estonia.gif
postituspostitatud: 20.02.2015, 14:49  postituse pealkiri:  (teema puudub)  

Lihtsalt tähelepanek,

täna upgradisin oma ubuntu 14.10-lt 15.04.ks ning ID kaardi probleemid lahenesid iseenesest. Id kaart on installitud ametliku estonianidcard paki abil ria ppa-st, 14.04 versioon.

14.10 oli mul id kaart sisuliselt kasutuskõlbmatu, küsis sisselogimisel mõlemat pin-i ning peale tahtis restarti peale igat kasutust et jälle tööle saada.


mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 95
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 21.02.2015, 10:14  postituse pealkiri:  (teema puudub)  

erkiha@gmail.com kirjutas:
(Ubuntu) 14.10 oli mul id kaart sisuliselt kasutuskõlbmatu, küsis sisselogimisel mõlemat pin-i ning peale tahtis restarti peale igat kasutust et jälle tööle saada.


OpenSuse all oma masinates pole niisuguseid probleeme mul kunagi olnud.

spott kirjutas:
mis id kaardi lugeja tüüp? Osade lugejate tarkvara uue versiooniga tugi kadus. Nagu näiteks Dell 630-te sisemine ID kaardi lugeja, mis enam ei tööta Sad


Dell Latitude E5420 sisemine lugeja, mis vana kaardiga töötas: O2 Micro Oz776 00 00 .

Kas opensc tugi kadus sellele lugejale? Või siis on probleem ikka ID-kaardis?


obundra
Vana Pingviin
Vana Pingviin


Vanus: 44
Liitunud: 04.08.2005
Postitused: 1212
Asukoht: 127.0.0.1
Distributsioon: RHEL, Solaris, Debian, Gentoo
estonia.gif
postituspostitatud: 10.04.2015, 09:41  postituse pealkiri:  (teema puudub)  

Uudis-hoiatus Chrome kasutajatele, järgmisel nädalal läheb id allkirjastamine katki, täpsem jutt https://blog.ria.ee/chromeis-id-kaardiga-allkirjastamine-laheb-korraks-katki/

_________________
IT teenused

tris

Troll - ära toida!
Troll - ära toida!



Liitunud: 23.08.2014
Postitused: 713

Distributsioon: Debian
estonia.gif
postituspostitatud: 10.04.2015, 11:04  postituse pealkiri:  (teema puudub)  

https://www.ssllabs.com/ssltest/viewMyClient.html

Saab kasutada ka paroolikaarte kui test läbib edukalt ja veebi/serveri krüpto on hea.

_________________
ricochet:yckka6zlbxv767lz

mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 95
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 20.12.2015, 17:22  postituse pealkiri:  (teema puudub)  

Jälle üks masin, millel on OpenSuse 13.2 värskelt peal. Probleem on selles, et tavakasutaja all ei näita, et oleks kaardilugejaid.

Kood:
 kasutaja#  opensc-tool -l
No smart card readers found.

kasutaja#  pkcs15-tool --list-certificates
No smart card readers found.


Kood:
 root#  opensc-tool -l
# Detected readers (pcsc)
Nr.  Card  Features  Name
0    No              O2 Micro Oz776 00 00
1    Yes             OMNIKEY CardMan 1021 01 00

root# pkcs15-tool --list-certificates
Using reader with a card: OMNIKEY CardMan 1021 01 00
X.509 Certificate [Isikutuvastus]
        Object Flags   : [0x0]
        Authority      : no
...


Kui panene root alt käima pcscd -d -f ja tavakasutaja käivitab näiteks opensc-tool -l, siis:
Kood:
 ...
00010899 auth.c:136:IsClientAuthorized() Process 24427 (user: 1000) is NOT authorized for action: access_pcsc
00000441 winscard_svc.c:329:ContextThread() Rejected unauthorized PC/SC client
00000053 winscard_svc.c:981:MSGCleanupClient() Thread is stopping: dwClientID=16, threadContext @0x1356dd0
...


Mis õigused valesti on?
Veidi hiljem ..
Tundub, et polkit diskrimineerib. Kui failis
/etc/polkit-1/rules.d/90-default-privs.rules
muuta
'org.debian.pcsc-lite.access_pcsc':
[ 'yes', 'yes', 'yes' ]
, siis saab ka tavakasutaja kaardilugejatele ligipääsu.


tonks
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 01.12.2016
Postitused: 95
Asukoht: Harjumaa
Distributsioon: Zorin OS
estonia.gif
postituspostitatud: 03.02.2017, 15:34  postituse pealkiri:  (teema puudub)  

Natuke piinlik, aga ei saa kuidagi ID-kaardi tarkvara enam paika. Paar aastat tagasi õnnestus natuke ajusid ragistades ikka lõpuks paika ja töötab tänaseni, nüüd kõige lõpuks tegin veel selle õpetuse põhjal, ei saa.
PHP:
<?php aa@aa-EG31MF-S2:~$ cd Töölaud
aa
@aa-EG31MF-S2:~/Töölaudsudo sh install-open-eid.sh
[sudopassword for aa
You run this script as root. DO NOT RUN RANDOM SCRIPTS AS ROOT.
aa@aa-EG31MF-S2:~/Töölaud?>

Siia juurde veel erinevalt käske kombineeritult igaks juhuks, aga lõpeb ikka seal pimedas kohas. Failile panin linnukese, et saab tarkvarana käivitada. Katsetasin siis vanema opsüsteemi versiooniga, sama tulemus. Teen ma siis midagi põhimõtteliselt kogu aeg valesti või on viga milleski muus. Tegemist Zorin OS 12 ultimate, peaks põhinema Ubuntu 16.04LTS. Vanem versioon, kus kaardi kunagi tööle sain, on Zorin OS 9 core, mõlemad 64bit.

No nii. Vahepeal lõi tuluke põlema ja tegin kiire katsetuse, kuna oli õnneks alles vana skript ja tulemuse lõpp on siin, nagu aru saan, siis on see aegunud.
PHP:
<?php WGPG errorhttps://installer.id.ee/media/ubuntu xenial InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY E9AB214DC6C83D68
WThe repository 'https://installer.id.ee/media/ubuntu xenial InRelease' is not signed.
NData from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(Cool manpage for repository creation and user configuration details.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Pakett estonianidcard pole saadaval, aga teine pakett viitab sellele.
See võib tähendada, et pakett puudub, on aegunud või
on saadaval ainult teisest allikast.
Kuid järgnevad paketid asendavad selle:
  open-eid

E: Package '
estonianidcard' has no installation candidate ?>


Vähemalt selle vana scripti sain käima, aga uut ei saa.


karlsson
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.09.2011
Postitused: 111

Distributsioon: Debian, Lubuntu.
estonia.gif
postituspostitatud: 04.02.2017, 00:22  postituse pealkiri:  (teema puudub)  

Ubuntulise skripti peaks käivitama ilma root õigusteta. Proovisin just, Lubuntu 16.04 installis asja ludinal.
# wget https://installer.id.ee/media/install-scripts/install-open-eid.sh
# sh install-open-eid.sh


tonks
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 01.12.2016
Postitused: 95
Asukoht: Harjumaa
Distributsioon: Zorin OS
estonia.gif
postituspostitatud: 04.02.2017, 01:29  postituse pealkiri:  (teema puudub)  

Siin ei ole vist muud midagi, et lihtsalt ei sobi selle Zoriniga, aga miks.
PHP:
<?php aa@aa-EG31MF-S2:~$ sh install-open-eid.sh
-e Zorin is not supported Sad
aa@aa-EG31MF-S2:~$ sudo sh install-open-eid.sh
[sudopassword for aa
You run this script as root. DO NOT RUN RANDOM SCRIPTS AS ROOT?>


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group